PATH=$PATH:/usr/sbin:/sbin
readonly local_domainname="heureux-cyclage.org"
readonly local_hostname="ateliers"
readonly local_fqdn="$local_hostname.$local_domainname"
readonly vm=$local_hostname
readonly local_host="rouf.grenode.net"
readonly local_host_nameserver="91.216.110.110"

readonly local_use_lvm="yes"
 # - sans LVM :
 #   - on a accès au LVM de l'hôte, mais c'est pas très propre.
 #   - pour l'extension de mémoire, on peut soit :
 #       1.1.   étendre avec lvresize /dev/domU/$local_fqdn-disk
 #       1.2.   étendre avec sfdisk $local_dev_disk_home
 #       1.3.   étendre avec resize2fs /dev/mapper/${local_lvm_lv}_home_deciphered
 #     soit :
 #       2.1. créer une nouvelle partition sur le LVM de l'hôte
 #       2.2. l'ajouter comme un disque supplémentaire dans /etc/xen/$local_fqdn.cfg
 #       2.3. le monter sur /home2 en pensant à changer DHOME=/home2 dans /etc/adduser.conf
 #   - pour la sauvegarde: on peut soit :
 #     1. sauvegarder au niveau applicatif (pgdump, mysqldump, etckeeper, git)
 #     2. sauvegarder incrémentalement avec (duplicity, backup-ninja, BackupPC),
 #        depuis l'hôte pour avoir un snapshot LVM.
 # - avec LVM :
 #   - question ouverte de la performance du LVM dans du LVM.
 #   - pour l'extension de mémoire, on peut soit :
 #       1.1.   étendre avec lvresize /dev/domU/$local_fqdn-disk
 #       1.1.   étendre avec pvextend $local_lvm_pv
 #       1.1.   étendre avec lvresize  /dev/${local_lvm_vg}/${local_lvm_lv}_home
 #       1.3.   étendre avec resize2fs /dev/mapper/${local_lvm_lv}_home_deciphered
 #   - pour la sauvegarde: on peut soit :
 #     1. sauvegarder au niveau applicatif (pgdump, mysqldump, etckeeper, git)
 #     2. sauvegarder incrémentalement avec (duplicity, backup-ninja, BackupPC),
 #        depuis la VM pour avoir un snapshot LVM.

# Cartographie de la mémoire morte :
#   SATA2 * 2 (/dev/sd{a,b})
#     /dev/sda -> /dev/sda{1,2,3}
#     /dev/sdb -> /dev/sdb{1,2,3}
#   RAID1 logiciel
#     /dev/sd{a,b}1 -> /dev/md0
#     /dev/sd{a,b}2 -> /dev/md1
#     /dev/sd{a,b}3 -> /dev/md2
#   LVM
#     /dev/md0 -> dom0
#     /dev/md2 -> domU -> /dev/mapper/$local_fqdn-disk
#   LVM
#     /dev/mapper/$local_fqdn-disk -> /dev/xvda{1,2}
#     /dev/xvda2 -> /dev/mapper/${local_lvm_vg}-${local_lvm_lv}_{swap,root,var,home}

case $local_use_lvm in
 (no)
	;;
 (yes)
	readonly local_lvm_vg=$local_fqdn
	readonly local_lvm_lv=$vm
	;;
 (*)
	exit 1;;
 esac

readonly local_raid_effective_disks=1 # NOTE: RAID1 (mirroring)
	# NOTE: julm@rouf:~$ sudo pvs /dev/md2 -o+pe_start
	# 	PV         VG   Fmt  Attr PSize   PFree   1st PE
	# 	/dev/md2   domU lvm2 a-   925,64g 470,64g 192,00k <- pas adapté au TRIM SSD, mais on utilise du SATA2
readonly local_e2fs_block_size=4096
	# NOTE: valeur standard pour un disque avec des secteurs de 512 octets :
	# julm@rouf:~$ grep . /sys/block/sd{a,b}/queue/*_block_size
	# /sys/block/sda/queue/logical_block_size:512
	# /sys/block/sda/queue/physical_block_size:512
	# /sys/block/sdb/queue/logical_block_size:512
	# /sys/block/sdb/queue/physical_block_size:512
readonly local_e2fs_stripe_size=
	# NOTE: égal au chunk size de mdadm --detail ;
	# mais ne concerne pas RAID1 où il n'y a pas de changement de disque à effectuer,
	# et donc pas de chunk size.
readonly  local_e2fs_stride=${local_e2fs_stripe_size:+$((local_e2fs_stripe_size / local_e2fs_block_size))}
readonly  local_e2fs_stripe_width=${local_e2fs_stride:+$((local_e2fs_stride * local_raid_effective_disks))}
local_e2fs_extended_options=${local_e2fs_stride:+,stride=$local_e2fs_stride}${local_e2fs_stripe_width:+,stripe_width=$local_e2fs_stripe_width}

readonly local_arch="amd64"
readonly local_bridge="br-gresille"
readonly local_ipv4="91.216.110.42" # NOTE: IPv4 publique assignée par Grésille
readonly local_gateway="91.216.110.6" # NOTE: estran.grenode.net
readonly local_lsb_name="jessie"
readonly local_mac="00:16:3E:E5:98:42" # NOTE: addresse MAC assignée par Grésille
readonly local_netmask="255.255.255.192"

readonly local_iodine_ns="i.wiklou.org"
readonly local_iodine_gateway="10.0.42.1"
